%global _empty_manifest_terminate_build 0
Name:		python-httpie
Version:	2.5.0
Release:	1
Summary:	HTTPie: command-line HTTP client for the API era.
License:	BSD
URL:		https://httpie.org/
Source0:	https://files.pythonhosted.org/packages/90/64/7ea8066309970f787653bdc8c5328272a5c4d06cbce3a07a6a5c3199c3d7/httpie-2.5.0.tar.gz
BuildArch:	noarch

Requires:	python3-defusedxml
Requires:	python3-requests[socks]
Requires:	python3-Pygments
Requires:	python3-requests-toolbelt
Requires:	python3-setuptools
Requires:	python3-colorama
Requires:	python3-pytest
Requires:	python3-pytest-httpbin
Requires:	python3-responses
Requires:	python3-flake8
Requires:	python3-flake8-comprehensions
Requires:	python3-flake8-deprecated
Requires:	python3-flake8-mutable
Requires:	python3-flake8-tuple
Requires:	python3-mdformat
Requires:	python3-pytest-cov
Requires:	python3-twine
Requires:	python3-wheel
Requires:	python3-pytest
Requires:	python3-pytest-httpbin
Requires:	python3-responses

%description
HTTPie (pronounced _aitch-tee-tee-pie_) is a command-line HTTP client.
Its goal is to make CLI interaction with web services as human-friendly as possible.
HTTPie is designed for testing, debugging, and generally interacting with APIs & HTTP servers.
The `http` & `https` commands allow for creating and sending arbitrary HTTP requests.
They use simple and natural syntax and provide formatted and colorized output.

%package -n python3-httpie
Summary:	HTTPie: command-line HTTP client for the API era.
Provides:	python-httpie
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-httpie

%package help
Summary:	Development documents and examples for httpie
Provides:	python3-httpie-doc
%description help

%prep
%autosetup -n httpie-2.5.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-httpie -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sun Sep 12 2021 Python_Bot <Python_Bot@openeuler.org> - 2.5.0-1
- Package Spec generated
